
function OUCN:Updater_Start(id, slotID, cdType, booktype)
  if (id and OUCN.vars.updater[id]) then
    OUCN.vars.updater[id].slotID = slotID;
    OUCN.vars.updater[id].cdType = cdType;
    OUCN.vars.updater[id].active = true;
    OUCN.vars.updater[id].booktype = booktype;
    OUCN.vars.frames.updater:SetScript("OnUpdate", function() OUCN:Updater_OnUpdate(arg1) end);
  end
end

function OUCN:Updater_Stop()
  if (id and OUCN.vars.updater[id]) then
    OUCN.vars.updater[id].active = false;
  end
  OUCN.vars.frames.updater:SetScript("OnUpdate", nil);
end


function OUCN:Updater_OnUpdate(arg1)
  if (OUCN.vars.updater.countdown.active) then
    local delayer = OUCN.vars.updater.countdown.delayer + arg1;
    if (delayer > OUCN.vars.updater.countdown.updateFrequency) then
			if (OUCN.vars.updater.countdown.slotID and OUCN.vars.updater.countdown.cdType) then
				local cooldown = OUCN:GetCooldown(OUCN.vars.updater.countdown.slotID, OUCN.vars.updater.countdown.cdType, OUCN.vars.updater.countdown.booktype, true);
				if (cooldown == 0) then
					OUCN:DoReadyFlash(OUCN.vars.strings.countdown, OUCN.vars.updater.countdown.slotID, OUCN.vars.updater.countdown.cdType, OUCN.vars.updater.countdown.booktype);
					OUCN.vars.updater.countdown.slotID = nil;
					OUCN.vars.updater.countdown.cdType = nil;
					OUCN.vars.updater.countdown.booktype = nil;
					OUCN:Updater_Stop(OUCN.vars.strings.countdown);
				end
			end
      delayer = 0;
    end
    OUCN.vars.updater.countdown.delayer = delayer;
  end
end
